: Class Driver

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ModSQL
Class Driver

    java.lang.Object
      |
      +--ModSQL.Driver

All Implemented Interfaces:
  Driver

public class Driver
extends Object
implements Driver

JDBC Driver object.

Automatically registers itself with the DriverManager when loaded. To access this driver, use a url that starts with: 'jdbc:modsql'.

Author:
  chris.studholme@utoronto.ca

Constructor Summary
`Driver()` Default constructor.

Method Summary
`(package private) static void` | `()` Attempt to register a new instance of this class with the DriverManager.
`boolean` | `acceptsURL(String url)` Returns true if the driver thinks that it can open a connection to the given URL.
`Connection` | `connect(String url, Properties info)` Try to make a database connection to the given URL.
`int` | `getMajorVersion()` Get the driver's major version number.
`int` | `getMinorVersion()` Get the driver's minor version number.
`DriverPropertyInfo[]` | `getPropertyInfo(String url, Properties info)` The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database.
`boolean` | `jdbcCompliant()` Report whether the Driver is a genuine JDBC COMPLIANT (tm) driver.
`static void` | `setDebugLevel(int level)` Set the desired debug level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### Driver

    public Driver()

  Default constructor.

Method Detail

###

    static void ()

  Attempt to register a new instance of this class with the DriverManager.

### setDebugLevel

    public static void setDebugLevel(int level)

  Set the desired debug level. Zero indicates no debug messages are desired. Larger values produce more messages.
  Parameters:
    `level` - non-negative debug level

### connect

    public Connection connect(String url,
                              Properties info)
                       throws SQLException

  Try to make a database connection to the given URL. The driver should return "null" if it realizes it is the wrong kind of driver to connect to the given URL. This will be common, as when the JDBC driver manager is asked to connect to a given URL it passes the URL to each loaded driver in turn.

  The driver should raise a SQLException if it is the right driver to connect to the given URL, but has trouble connecting to the database.

  The java.util.Properties argument can be used to passed arbitrary string tag/value pairs as connection arguments. Normally at least "user" and "password" properties should be included in the Properties.

  Specified by:
    `connect` in interface `Driver`
  Parameters:
    `url` - The URL of the database to connect to
    `info` - a list of arbitrary string tag/value pairs as connection arguments; normally at least a "user" and "password" property should be included
  Returns:
    a Connection to the URL
  Throws:
    `SQLException` - if a database-access error occurs.

### acceptsURL

    public boolean acceptsURL(String url)
                       throws SQLException

  Returns true if the driver thinks that it can open a connection to the given URL. Typically drivers will return true if they understand the subprotocol specified in the URL and false if they don't.
  Specified by:
    `acceptsURL` in interface `Driver`
  Parameters:
    `url` - The URL of the database.
  Returns:
    True if this driver can connect to the given URL.
  Throws:
    `SQLException` - if a database-access error occurs.

### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo(String url,
                                                Properties info)
                                         throws SQLException

  The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database. Note that depending on the values the human has supplied so far, additional values may become necessary, so it may be necessary to iterate though several calls to getPropertyInfo.

  Specified by:
    `getPropertyInfo` in interface `Driver`
  Parameters:
    `url` - The URL of the database to connect to.
    `info` - A proposed list of tag/value pairs that will be sent on connect open.
  Returns:
    An array of DriverPropertyInfo objects describing possible properties. This array may be an empty array if no properties are required.
  Throws:
    `SQLException` - if a database-access error occurs.

### getMajorVersion

    public int getMajorVersion()

  Get the driver's major version number.
  Specified by:
    `getMajorVersion` in interface `Driver`

### getMinorVersion

    public int getMinorVersion()

  Get the driver's minor version number.
  Specified by:
    `getMinorVersion` in interface `Driver`

### jdbcCompliant

    public boolean jdbcCompliant()

  Report whether the Driver is a genuine JDBC COMPLIANT (tm) driver. A driver may only report "true" here if it passes the JDBC compliance tests, otherwise it is required to return false. JDBC compliance requires full support for the JDBC API and full support for SQL 92 Entry Level. It is expected that JDBC compliant drivers will be available for all the major commercial databases. This method is not intended to encourage the development of non-JDBC compliant drivers, but is a recognition of the fact that some vendors are interested in using the JDBC API and framework for lightweight databases that do not support full database functionality, or for special databases such as document information retrieval where a SQL implementation may not be feasible.
  Specified by:
    `jdbcCompliant` in interface `Driver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD